import csv


class Dict:
    def __init__(self, dictionary_path_list):
        self.dictionary = []
        for path in dictionary_path_list:
            handler = open(path, "r")
            reader = csv.reader(handler)
            self.dictionary += [row[0].upper() for row in reader]

    def __iter__(self):
        return iter(self.dictionary)
